# -*- mode: ruby -*-
# vi: set ft=ruby :
Vagrant.configure(2) do |config|
  if (/cygwin|mswin|mingw|bccwin|wince|emx/ =~ RUBY_PLATFORM) != nil
    config.vm.synced_folder ".", "/vagrant", mount_options: ["dmode=700,fmode=600"]
  else
    config.vm.synced_folder ".", "/vagrant"
  end
  config.vm.define "wasm" do |d|
    d.vm.box = "bento/centos-7.2"
    d.vm.hostname = "wasm"    
    config.vm.network "forwarded_port", guest: 8080, host: 8085
    d.vm.provision :shell, path: "scripts/update.sh"
    d.vm.provision :shell, path: "scripts/install_python.sh"
    d.vm.provision :shell, path: "scripts/install_jdk.sh"
    d.vm.provision :shell, path: "scripts/install_node.sh"
    d.vm.provision :shell, path: "scripts/install_cmake.sh"
    d.vm.provision :shell, path: "scripts/install_emsdk.sh"
    d.vm.provider "virtualbox" do |v|
      v.memory = 1024
    end
  end
  config.ssh.insert_key = false
  if Vagrant.has_plugin?("vagrant-cachier")
    config.cache.scope = :box
  end
  if Vagrant.has_plugin?("vagrant-vbguest")
    config.vbguest.auto_update = false
    config.vbguest.no_install = true
    config.vbguest.no_remote = true
  end
end
